var Bco53100_ParametrosDeControleBancario_Repository = function(restEngine){
    this.consultaGeralBco = function(){
    	return restEngine.post('fin_movimentacaoBancaria#/crud/geral_bco', {
			"requestType": "FilterData",
			"filter": []
		});
    };

    this.consultaParamGeral = function(){
    	return restEngine.post('fin#/crud/paramgeral', {
			"requestType": "FilterData",
			"filter": []
		});
    };

    this.consultaGeralFcx = function(){
        return restEngine.post('fin#/crud/geral_fcx', {
            "requestType": "FilterData",
            "filter": []
        });
    };

    this.consultaClassfinanc = function(cdclassfina){
        return restEngine.post('fin#/crud/classfinanc', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "CDCLASSFINA",
                    "operator": "=",
                    "value": cdclassfina
                }
            ]
        });
    };

    this.salvarGeralBco = function(data){
    	return restEngine.post('fin_movimentacaoBancaria#/savegeralbcoparamgeral/save', {
			"requestType": "DataSet",
			"dataset": data
		});
    };

};
Configuration(function (ContextRegister){
    ContextRegister.register('Bco53100_ParametrosDeControleBancario_Repository', Bco53100_ParametrosDeControleBancario_Repository);
});